package com.xdf.creative.enums;

/**
 * 命名表名+功能
 * <p>
 * 六位代码   1、admin后台管理  2、文促会官网 3、业务服务bus 4、投融资 5、
 * 末位已数据库表排序
 */

public enum StatusCode {
    //修改数据 传入主键查不到数据
    FORM_SUBMIT_UPDATE_VERIFY(000001, "当前数据不存在或已删除，请刷新后再试！"),
    //修改数据未传主键id
    FORM_SUBMIT_ID_VERIFY(000002, "未知数据标识，请重新选择！"),
    AUTH_UPDATE_VERIFY_ERROR(000003, "存在非法访问，请刷新后再试！"),
    FORM_AUDIT_STATE_VERIFY(000004, "只能操作待审核的数据！"),
    FORM_UPDATE_STATE_VERIFY(000005, "只能操作草稿状态的数据！"),
    FORM_AUTH_UPDATE_VERIFY_ERROR(000006, "存在非法更新！"),
    SMS_SEND_VERIFICATION_CODE_SUCCESS(20000, "短信发送成功"),
    SMS_SEND_VERIFICATION_CODE_FAIL(20001, "短信发送失败"),
    SMS_MESSAGE_VERIFICATION_CODE_VERIFY(20002, "验证码已过期!"),
    SMS_MESSAGE_VERIFICATION_CODE_ERROR(20003, "验证码错误！"),
    ;


    private int status;
    private String msg;

    StatusCode(int status, String msg) {
        this.status = status;
        this.msg = msg;
    }

    public boolean isSuccess() {
        return getStatus() == 10000;
    }

    public int getStatus() {
        return status;
    }

    public String getCode() {
        return name();
    }

    public String getMsg() {
        return String.format(msg, "");
    }

    public String getMsg(Object... format) {
        if (format == null) {
            return getMsg();
        }
        return String.format(msg, format);
    }
}
